## org.gnu.gtk
Class UIManagerItemType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.UIManagerItemType

public class UIManagerItemType
extends org.gnu.glib.Enum

Field Summary
`static UIManagerItemType` `ACCELERATOR`
`static UIManagerItemType` `AUTO`
`static UIManagerItemType` `MENU`
`static UIManagerItemType` `MENUBAR`
`static UIManagerItemType` `MENUITEM`
`static UIManagerItemType` `PLACEHOLDER`
`static UIManagerItemType` `POPUP`
`static UIManagerItemType` `SEPARATOR`
`static UIManagerItemType` `TOOLBAR`
`static UIManagerItemType` `TOOLITEM`

Method Summary
`UIManagerItemType` `and(UIManagerItemType other)`
`static UIManagerItemType` `intern(int value)`
`UIManagerItemType` `or(UIManagerItemType other)`
`boolean` `test(UIManagerItemType other)`
`UIManagerItemType` `xor(UIManagerItemType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO

    public static final UIManagerItemType AUTO

### MENUBAR

    public static final UIManagerItemType MENUBAR

### MENU

    public static final UIManagerItemType MENU

### TOOLBAR

    public static final UIManagerItemType TOOLBAR

### PLACEHOLDER

    public static final UIManagerItemType PLACEHOLDER

### POPUP

    public static final UIManagerItemType POPUP

### MENUITEM

    public static final UIManagerItemType MENUITEM

### TOOLITEM

    public static final UIManagerItemType TOOLITEM

### SEPARATOR

    public static final UIManagerItemType SEPARATOR

### ACCELERATOR

    public static final UIManagerItemType ACCELERATOR

Method Detail

### intern

    public static UIManagerItemType intern(int value)

### or

    public UIManagerItemType or(UIManagerItemType other)

### and

    public UIManagerItemType and(UIManagerItemType other)

### xor

    public UIManagerItemType xor(UIManagerItemType other)

### test

    public boolean test(UIManagerItemType other)